<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelElement StructType
 * @subpackage Structs
 */
class JP_HotelElement extends JP_BaseElement
{
    /**
     * The HotelBookingInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelBookingInfo
     */
    public $HotelBookingInfo;
    /**
     * The Rebook
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Rebook
     */
    public $Rebook;
    /**
     * Constructor method for JP_HotelElement
     * @uses JP_HotelElement::setHotelBookingInfo()
     * @uses JP_HotelElement::setRebook()
     * @param \StructType\JP_HotelBookingInfo $hotelBookingInfo
     * @param \StructType\JP_Rebook $rebook
     */
    public function __construct(\StructType\JP_HotelBookingInfo $hotelBookingInfo = null, \StructType\JP_Rebook $rebook = null)
    {
        $this
            ->setHotelBookingInfo($hotelBookingInfo)
            ->setRebook($rebook);
    }
    /**
     * Get HotelBookingInfo value
     * @return \StructType\JP_HotelBookingInfo|null
     */
    public function getHotelBookingInfo()
    {
        return $this->HotelBookingInfo;
    }
    /**
     * Set HotelBookingInfo value
     * @param \StructType\JP_HotelBookingInfo $hotelBookingInfo
     * @return \StructType\JP_HotelElement
     */
    public function setHotelBookingInfo(\StructType\JP_HotelBookingInfo $hotelBookingInfo = null)
    {
        $this->HotelBookingInfo = $hotelBookingInfo;
        return $this;
    }
    /**
     * Get Rebook value
     * @return \StructType\JP_Rebook|null
     */
    public function getRebook()
    {
        return $this->Rebook;
    }
    /**
     * Set Rebook value
     * @param \StructType\JP_Rebook $rebook
     * @return \StructType\JP_HotelElement
     */
    public function setRebook(\StructType\JP_Rebook $rebook = null)
    {
        $this->Rebook = $rebook;
        return $this;
    }
}
